Foreman - Bug #9045

Migration PuppetclassTotalHosts does use a rake task
01/20/2015 03:13 AM - Lukas Zapletal

Status: Rejected
Priority: Normal
Assignee: Lukas Zapletal
Category: DB migrations
Target version:
Difficulty: Fixed in Releases:
Triaged: Found in Releases:
Bugzilla link: Red Hat JIRA:
Pull request: https://github.com/theforeman/foreman/p
ull/2098
Description

It is unable to migrate a database that was not yet seeded but containing some Puppetclasses (e.g. older version of Foreman).
Since the Rake task is simple, the solution is to copy the code into migration:

desc "Correct hosts counts for all classes in case they are wrong"
task :fix_total_hosts => :environment do
if Puppetclass.count > 0
User.current = User.anonymous_admin
Puppetclass.all.each (&:update_total_hosts)
end
end

History

#1 - 01/20/2015 03:55 AM - The Foreman Bot

- Status changed from New to Ready For Testing

- Pull request https://github.com/theforeman/foreman/pull/2098 added
- Pull request deleted ()

#2 - 03/23/2016 04:03 AM - Lukas Zapletal
- Status changed from Ready For Testing to Closed

Closing old ticket.

#3 - 03/23/2016 04:04 AM - Dominic Cleal

- Status changed from Closed to Rejected

05/19/2024 1/1



http://www.tcpdf.org

